<?php
/**
 * Created by PhpStorm.
 * User: Admin
 * Date: 10.09.2020
 * Time: 21:36
 */

namespace Diamond\Domain\MailingRequestRecipient\Contracts;


use Repo\PaginationInterface;
use Repo\RepositoryCriteriaInterface;

interface MailingRequestRecipientCriteriaInterface  extends RepositoryCriteriaInterface, PaginationInterface
{

    public function setFilterByRequestId(?int $filterByRequestId): MailingRequestRecipientCriteriaInterface;

    public function getFilterByRequestId(): ?int;

    public function getSearchByEmail(): ?string;

    public function setSearchByEmail(?string $searchByEmail): MailingRequestRecipientCriteriaInterface;

    public function getFilterByStatuses(): ?array;

    public function setFilterByStatuses(?array $filterByStatuses): MailingRequestRecipientCriteriaInterface;
}